Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.net.ssl
Class TrustStoreConfiguration

    java.lang.Object
      org.apache.logging.log4j.core.net.ssl.StoreConfiguration<KeyStore>
          org.apache.logging.log4j.core.net.ssl.AbstractKeyStoreConfiguration
              org.apache.logging.log4j.core.net.ssl.TrustStoreConfiguration

    @Plugin(name="TrustStore",
            category="Core",
            printObject=true)
    public class TrustStoreConfiguration

extends AbstractKeyStoreConfiguration

Configuration of the TrustStore

Field Summary

Fields inherited from class org.apache.logging.log4j.core.net.ssl.StoreConfiguration
`LOGGER`

Constructor Summary
`TrustStoreConfiguration(String location, String password, String keyStoreType, String trustManagerFactoryAlgorithm)`

Method Summary
`static TrustStoreConfiguration` | `createKeyStoreConfiguration(String location, String password, String keyStoreType, String trustManagerFactoryAlgorithm)` Creates a KeyStoreConfiguration.
`TrustManagerFactory` | `initTrustManagerFactory()`

Methods inherited from class org.apache.logging.log4j.core.net.ssl.AbstractKeyStoreConfiguration
`getKeyStore, load`

Methods inherited from class org.apache.logging.log4j.core.net.ssl.StoreConfiguration
`equals, getLocation, getPassword, getPasswordAsCharArray, hashCode, setLocation, setPassword`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrustStoreConfiguration

    public TrustStoreConfiguration(String location,
                                   String password,
                                   String keyStoreType,
                                   String trustManagerFactoryAlgorithm)
                            throws StoreConfigurationException

Throws:
  `StoreConfigurationException`

Method Detail

### createKeyStoreConfiguration

    @PluginFactory
    public static TrustStoreConfiguration createKeyStoreConfiguration(@PluginAttribute(value="location")
                                                                                    String location,
                                                                                    @PluginAttribute(value="password")
                                                                                    String password,
                                                                                    @PluginAttribute(value="type")
                                                                                    String keyStoreType,
                                                                                    @PluginAttribute(value="trustManagerFactoryAlgorithm")
                                                                                    String trustManagerFactoryAlgorithm)
                                                               throws StoreConfigurationException

  Creates a KeyStoreConfiguration.

  Parameters:
    `location` - The location of the KeyStore.
    `password` - The password to access the KeyStore.
    `keyStoreType` - The KeyStore type, null defaults to `"JKS"`.
    `trustManagerFactoryAlgorithm` - The standard name of the requested trust management algorithm. See the Java Secure Socket Extension Reference Guide for information these names.
  Returns:
    a new TrustStoreConfiguration
  Throws:
    `StoreConfigurationException`

### initTrustManagerFactory

    public TrustManagerFactory initTrustManagerFactory()
                                                throws NoSuchAlgorithmException,
                                                       KeyStoreException

  Throws:
    `NoSuchAlgorithmException`
    `KeyStoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.